> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cubeuaeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan2.6 T2I

> Generate an image from a text description. This is a synchronous call and returns the final image URL directly.



## OpenAPI

````yaml en/api-reference/model-api/alibaba/openapi/wan2.6-t2i/openapi.yaml POST /v1/images/generations
openapi: 3.1.0
info:
  title: Wan2.6 T2I
  description: Call the Alibaba Wan2.6 text-to-image model
  version: 1.0.0
servers:
  - url: https://ai.cubeuaeai.com
security:
  - bearerAuth: []
paths:
  /v1/images/generations:
    post:
      summary: Text-to-image
      description: >-
        Generate an image from a text description. This is a synchronous call
        and returns the final image URL directly.
      operationId: createWan26T2i
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - prompt
              properties:
                model:
                  type: string
                  enum:
                    - wan2.6-t2i
                  description: model ID
                  example: wan2.6-t2i
                prompt:
                  type: string
                  description: Image description text.
                  example: A panda running through a bamboo forest
                size:
                  type: string
                  description: Output image size, e.g. `1024x1024`.
                  example: 1024x1024
                'n':
                  type: integer
                  minimum: 1
                  maximum: 4
                  default: 1
                  description: Number of images to generate.
                response_format:
                  type: string
                  enum:
                    - url
                    - b64_json
                  default: url
                  description: Return a URL or Base64-encoded JSON.
      responses:
        '200':
          description: Image generated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  created:
                    type: integer
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                          description: Image download URL (valid for about 24 hours).
                        b64_json:
                          type: string
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````